Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class QueryTool

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--java.applet.Applet
                              |
                              +--org.hsqldb.util.QueryTool

public class QueryTool
extends Applet
implements ActionListener, WindowListener

Inner classes inherited from class java.applet.Applet
`Applet.AccessibleApplet`

Inner classes inherited from class java.awt.Panel
`Panel.AccessibleAWTPanel`

Field Summary
`(package private) boolean` | `bApplication`
`(package private) java.awt.Button` | `butExecute`
`(package private) java.awt.Button` | `butImport`
`(package private) java.awt.Button` | `butScript`
`(package private) java.sql.Connection` | `cConn`
`(package private) java.awt.Choice` | `choRecent`
`(package private) static java.awt.Frame` | `fMain`
`(package private) org.hsqldb.util.Grid` | `gResult`
`(package private) static int` | `iMaxRecent`
`(package private) int` | `iRecent`
`(package private) static java.util.Properties` | `pProperties`
`(package private) java.lang.String[]` | `sRecent`
`(package private) java.sql.Statement` | `sStatement`
`(package private) static java.lang.String[]` | `sTestData`
`(package private) java.awt.TextArea` | `txtCommand`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`QueryTool()`

Method Summary
`boolean` | `action(java.awt.Event , java.lang.Object )`
`void` | `actionPerformed(java.awt.event.ActionEvent )`
`(package private) void` | `formatResultSet(java.sql.ResultSet )`
`(package private) java.lang.String` | `getImport()`
`(package private) java.lang.String` | `getScript()`
`void` | `init()`
`(package private) void` | `insertTestData()`
`static void` | `main(java.lang.String[] )`
`(package private) static void` | `printHelp()`
`(package private) void` | `trace(java.lang.String )`
`void` | `windowActivated(java.awt.event.WindowEvent )`
`void` | `windowClosed(java.awt.event.WindowEvent )`
`void` | `windowClosing(java.awt.event.WindowEvent )`
`void` | `windowDeactivated(java.awt.event.WindowEvent )`
`void` | `windowDeiconified(java.awt.event.WindowEvent )`
`void` | `windowIconified(java.awt.event.WindowEvent )`
`void` | `windowOpened(java.awt.event.WindowEvent )`

Methods inherited from class java.applet.Applet
`setStub, isActive, getDocumentBase, getCodeBase, getParameter, getAppletContext, resize, resize, showStatus, getImage, getImage, newAudioClip, getAudioClip, getAudioClip, getAppletInfo, getLocale, getParameterInfo, play, play, start, stop, destroy, getAccessibleContext`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, getInsets, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, setFont, getPreferredSize, preferredSize, getMinimumSize, minimumSize, getMaximumSize, getAlignmentX, getAlignmentY, paint, update, print, paintComponents, printComponents, addContainerListener, removeContainerListener, getListeners, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, removeNotify, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, setEnabled, enable, enable, disable, isDoubleBuffered, enableInputMethods, setVisible, show, show, hide, getForeground, setForeground, getBackground, setBackground, getFont, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, setSize, getBounds, bounds, setBounds, reshape, setBounds, getX, getY, getWidth, getHeight, getBounds, getSize, getLocation, isOpaque, isLightweight, getGraphics, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, repaint, printAll, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, contains, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, requestFocus, transferFocus, nextFocus, hasFocus, add, remove, toString, list, list, list, addPropertyChangeListener, removePropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### bApplication

    boolean bApplication

### butExecute

    java.awt.Button butExecute

### butImport

    java.awt.Button butImport

### butScript

    java.awt.Button butScript

### cConn

    java.sql.Connection cConn

### choRecent

    java.awt.Choice choRecent

### fMain

    static java.awt.Frame fMain

### gResult

    org.hsqldb.util.Grid gResult

### iMaxRecent

    static int iMaxRecent

### iRecent

    int iRecent

### pProperties

    static java.util.Properties pProperties

### sRecent

    java.lang.String[] sRecent

### sStatement

    java.sql.Statement sStatement

### sTestData

    static java.lang.String[] sTestData

### txtCommand

    java.awt.TextArea txtCommand

Constructor Detail

### QueryTool

    public QueryTool()

Method Detail

### action

    public boolean action(java.awt.Event , java.lang.Object )

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent )

### formatResultSet

    void formatResultSet(java.sql.ResultSet )

### getImport

    java.lang.String getImport()

### getScript

    java.lang.String getScript()

### init

    public void init()

### insertTestData

    void insertTestData()

### main

    public static void main(java.lang.String[] )

### printHelp

    static void printHelp()

### trace

    void trace(java.lang.String )

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent )

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent )

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent )

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent )

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent )

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent )

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD